<!DOCTYPE html>
<html>
  <head>
    <link rel="stylesheet" href="assets/css/vuetify.min.css" />
    <link rel="stylesheet" href="assets/css/hotel.css" />
    <link rel="stylesheet" href="styles.css" />

    
  </head>
<style>
  
.lobibox .lobibox-body {
    overflow: hidden !important;
    display: table !important;
    position: relative !important;
    width: 100% !important;
    padding: 10px 15px;
    background-color: rgba(255, 255, 255, 0.98) !important;
    font-size: 19px !important;
    text-align: center !important;
}
.btn-primary {
    color: #fff;
    background-color: #337ab7;
    border-color: #2e6da4;
}

.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}
    .overflow-hidden{
        overflow: hidden;
    }
    .v-list-item--link {
 
            /* IE 10+ */
  user-select: all !important;          /* Likely future */   
}

h4{
    font-size: 16px;
}
.pt-3, .py-3 {
    padding-top: 1rem !important;
}

.pl-4, .px-4 {
    padding-left: 0.5rem!important;
}
.pr-4, .px-4 {
    padding-right: 0.5rem!important;
}
.hotel-itinerary-details .v-list-item__content {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.blink {
  animation: blink-animation 1s steps(5, start) infinite;
  -webkit-animation: blink-animation 3s steps(5, start) infinite;
}

.v-list-item__subtitle, .v-list-item__title {
    flex: 1 1 100% !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;
    white-space: none !important;
}
@keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
@-webkit-keyframes blink-animation {
  to {
    visibility: hidden;
  }
}
.binking {
    animation: blink-animation 1s steps(5, start) infinite;
  -webkit-animation: blink-animation 3s steps(5, start) infinite;
  color: #f44336;
}

@keyframes blinker {
  50% {
    opacity: 0;
  }
}

.textCss{
    text-transform: lowercase;
}
.textCss::first-letter{
    text-transform: capitalize;
}
.htlerrmsgg{
    white-space: inherit !important;
}
</style>
  <body  ng-controller="hotelItenenaryontroller">
    <div id="app-2">

    

 <div class="main_container no-home">
    <section class="breadcrumb-section hotelItenary-sec pt-0"><img src="assets/hotel/bg-2.jpg" alt=""
            class="bg-img img-fluid blur-up lazyload w-100" style="height: 940px;">
        <div class="flight-details text-center"  ng-hide="hotelBookingData.error=='PF006'">
            <p class="route flight-count" ng-show="finalhotelBookJson!=null">Booking Successful!!!</p>
            <p class="route flight-count" ng-show="finalhotelBookJson==null">Booking not completed!!!</p>
            <p class="route col-xs-12"ng-show="finalhotelBookJson!=null">{{finalhotelBookJson.city}} ({{finalhotelBookJson.country}}) 
                <p class="other-details" ng-show="finalhotelBookJson!=null">Check In : {{finalhotelBookJson.checkInDateString}} | Check Out : {{finalhotelBookJson.checkOutDateString}},<span ng-show="finalhotelBookJson.checkInTime!=null && finalhotelBookJson.checkOutTime!=null">Check In Time:{{finalhotelBookJson.checkInTime}} | Check Out Time : {{finalhotelBookJson.checkOutTime}}</span>
                    Total Nights : {{finalhotelBookJson.totalNights}}, No of Room (s) : {{finalhotelBookJson.totalRooms}}</p>
                <!-- <p class="other-details" ng-show="finalhotelBookJson!=null && finalhotelBookJson.checkInTime!=null">Check In Time:{{finalhotelBookJson.checkInTime}} | Check Out Time : {{finalhotelBookJson.checkOutTime}}</p> -->
            </p>
        </div>

        <div class="flight-details text-center"  ng-show="hotelBookingData.error=='PF006'">
            <p class="route flight-count">{{hotelBookingData.errorMessage}}</p>
                  </div>

        <div class="back-btn">
            <div role="group" aria-label="..." class="btn-group"  ng-show="finalhotelBookJson!=null">
                <!-- <button type="button" class="btn btn-default"  ng-click="printDiv(hotelprintDiv);"><i
                        class="las la-print"></i></button> -->
                         <button type="button" class="btn btn-default" data-toggle="modal" data-target="#myModal"><i class="las la-envelope"></i></button>
                         <button type="button" class="btn btn-default" ng-click="fltDownload(flightprintDiv);"><i
                            class="las la-download"></i></button>
                        </div>
        </div>
    </section>
    <div class="container-fluid flight-container"  ng-show="finalhotelBookJson==null">
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light overflow-hidden">
            <h4 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Details
            </h4>
            <div class="row">
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">ClientRefNo</div>
                                    <div class="v-list-item__subtitle">{{hotelBookingData.referenceNo}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Payment Status</div>
                                    <div class="v-list-item__subtitle">Success</div>
                                </div>
                              
                            </div>
                        </div>
                    </div>
                </div>
   
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content"  ng-hide="hotelBookingData.error=='PF006'">
                                    <div class="v-list-item__title">Booking Status</div>
                                    <div class="v-list-item__subtitle">Failed</div>
                                </div>
                                <div class="v-list-item__content"  ng-show="hotelBookingData.error=='PF006'">
                                    <div class="v-list-item__title">Booking Status</div>
                                    <div class="v-list-item__subtitle">Pending</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <!-- <div class="v-list-item__title">Message</div> -->
                                    <div class="v-list-item__title htlerrmsgg">{{hotelBookingData.errorMessage}}</div>
                                    </div>
                                    </div>
                                    </div>
                                    </div>
                    </div>
                    </div>
        </div>
      
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light">
            <h4 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Queries
            </h4>
            <div class="row"  style="padding:15px">
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">E-Mail</div>
                                    <div class="v-list-item__subtitle">{{agnecyEmail}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Phone</div>
                                    <div class="v-list-item__subtitle">{{agencyPhoneNo}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
   
    </div>
    
    <div class="container-fluid flight-container" id="hotelprintDiv" ng-show="finalhotelBookJson!=null">
        <div class="d-md-flex d-sm-inline flex-row mb-4">
            
            <div class="px-3 py-3 v-card col-md-8 col-sm-12 v-sheet theme--light">
                <div class="review_box p-2">
                    <div class="flight_detail hotel_detail">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="hotel-img-sec"><img data-ng-src="{{finalhotelBookJson.hotelImagePath}}" style="height: 176px;
                                    width: 225px;" alt=""
                                        class="imgContainer blur-up lazyloaded"></div>
                            </div>
                            <div class="col-md-9 px-0 hote-itinerary-detail">
                                <h4>{{finalhotelBookJson.htlName}}
                                    <!-- <div class="v-rating"><button type="button" tabindex="-1"
                                            class="v-icon notranslate v-icon--link mdi mdi-star theme--light orange--text"
                                            style="font-size: 16px;"></button><button type="button" tabindex="-1"
                                            class="v-icon notranslate v-icon--link mdi mdi-star theme--light orange--text"
                                            style="font-size: 16px;"></button><button type="button" tabindex="-1"
                                            class="v-icon notranslate v-icon--link mdi mdi-star theme--light orange--text"
                                            style="font-size: 16px;"></button><button type="button" tabindex="-1"
                                            class="v-icon notranslate v-icon--link mdi mdi-star-outline theme--light orange--text text--lighten-3"
                                            style="font-size: 16px;"></button><button type="button" tabindex="-1"
                                            class="v-icon notranslate v-icon--link mdi mdi-star-outline theme--light orange--text text--lighten-3"
                                            style="font-size: 16px;"></button></div> -->
                                </h4>
                                <p><i class="las la-map-marker"></i> {{finalhotelBookJson.address}}</p>
                                <p><i class="las la-phone"></i> <label>Phone Number:</label> {{finalhotelBookJson.phoneNo}}</p>
                                <!-- <div class="hotel-cehckin">
                                    <p><i class="las la-landmark"></i> <label>Established:</label> </p>
                                    <p><i class="las la-city"></i> <label>Rooms:</label> {{finalhotelBookJson.totalRooms}}</p>
                                    <p><i class="las la-building"></i> <label>Floors:</label> 6</p>
                                </div> -->
                                <div class="hotel-cehckin">
                                    <p><i class="las la-calendar-check"></i> <label>Check In:</label> {{finalhotelBookJson.checkInDateString}}
                                    </p>
                                    <p><i class="las la-calendar-times"></i> <label>Check Out:</label> {{finalhotelBookJson.checkOutDateString}}</p>
                                </div>
                                <div class="hotel-cehckin">
                                    <p><i class="las la-calendar"></i> <label>Booking Date:</label> {{finalhotelBookJson.bkngDate}}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="hotel-itinerary-details col-md-4 col-sm-12 v v-card v-sheet theme--light">
                <div role="list" class="v-list v-sheet theme--light v-list--disabled">
                    <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Itinerary No.</div>
                                <div class="v-list-item__subtitle">{{finalhotelBookJson.itinerary}}</div>
                            </div>
                        </div>
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Reference No.</div>
                                <div class="v-list-item__subtitle">{{finalhotelBookJson.docket}}</div>
                            </div>
                        </div>
                      
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Status</div>
                                <div class="v-list-item__subtitle"> <span aria-atomic="true" aria-label="Badge" aria-live="polite" role="status" class="v-badge__badge green " style="inset: auto auto calc(-5% - 6px) calc(0% - -6px); background-color: #4caf50!important;
                                    border-color: #4caf50!important;">
                                        {{finalhotelBookJson.bkngStatus}}
                                    </span></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="d-md-flex d-sm-inline  flex-row mb-4">
            <div class="px-4 py-4 col-md-8 col-sm-12 v-card v-sheet theme--light">
                
				 <p ng-bind-html="finalhotelBookJson.htlDesc"></p>
                <p ng-hide="finalhotelBookJson.htlDesc">No Description is there for this hotel</p>
            </div>
            <div class="hotel-itinerary-details col-md-4 col-sm-12 v-card v-sheet theme--light">
                <div role="list" class="v-list v-sheet theme--light v-list--disabled">
                    <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Total Rooms</div>
                                <div class="v-list-item__subtitle" ng-bind="totalRoomInfo.length"></div>
                            </div>
                        </div>
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Total Nights</div>
                                <div class="v-list-item__subtitle">{{finalhotelBookJson.totalNights}}</div>
                            </div>
                        </div>
                        <div tabindex="0" role="listitem" aria-selected="false"
                            class="v-list-item v-list-item--link theme--light">
                            <div class="v-list-item__content">
                                <div class="v-list-item__title">Total Room Fare</div>
                                <div class="v-list-item__subtitle">
                                    AED {{finalhotelBookJson.grandTotal}}

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light">
            <h4 class="filter-header mb-0"><i class="las la-city icon-text"></i> Room Details
            </h4>
            <div ng-repeat="roomInfo in totalRoomInfo track by $index">
                 <h5 class="filter-header mb-0"><i class="las la-city icon-text"></i> Room {{$index+1}} </h5>
 

            <div class="row">
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Room Name</div>
                                    <div class="v-list-item__subtitle">{{roomInfo.roomName}}</div>
                                </div>
                            </div>
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Room Reference No.</div>
                                    <div class="v-list-item__subtitle">{{roomInfo.roomRefNo}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Passenger</div>
                                    <div class="v-list-item__subtitle">Adult-{{roomInfo.adultCount}} | Child-{{roomInfo.childCount}}</div>
                                </div>
                            </div>
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Meal Board</div>
                                    <div class="v-list-item__subtitle">{{roomInfo.mealBoard}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Room Description</div>
                                    <div class="v-list-item__subtitle">{{roomInfo.roomType}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="px-3"><b>Rate Comments:</b>
                       <span
                        ng-bind-html="roomInfo.rateComments"></span>
                        <p id="txtbind22"></p>
                    </div>
                    <div class="px-3"><b>Cancellation Policy :</b>
                        <span class="blink"  style="color: red;" ng-show="roomInfo.cancellationPolicy!=null" class="mb-0" ng-bind-html="roomInfo.cancellationPolicy"></span>
                        <span  ng-show="roomInfo.cancellationPolicy==null" class="mb-0" ng-bind-html="finalhotelBookJson.cancellationPolicy"></span>
                       
                    </div>
                   
                </div>
            </div><br>
            </div>
        </div>
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light" >
            <h4 class="filter-header"><i class="las la-user-circle icon-text"></i> Guest Details
            </h4>
			<div ng-repeat="roomInfo in totalRoomInfo track by $index">
            <h5>Room {{$index+1}}</h5>
            <div class="v-data-table theme--light" >
                <div class="v-data-table__wrapper">
                    <table>
                        <thead>
                            <tr>
                                <th class="text-left">Type</th>
                                <th class="text-left">Title</th>
                                <th class="text-left">Given Name</th>
                                <th class="text-left">Sur Name</th>
                            </tr>
                        </thead>
                        <tbody ng-repeat="passengerdata in roomInfo.roomItems">
                            <tr>
                                <td>{{passengerdata.paxDtl.personaldata.trvtype}}</td>
                                <td>{{passengerdata.paxDtl.personaldata.salutation}}</td>
                                <td class="textCss">{{passengerdata.paxDtl.personaldata.fname}}</td>
                                <td class="textCss">{{passengerdata.paxDtl.personaldata.lname}}</td>
                               
                            </tr>
                         
                        </tbody>
                    </table>
                </div>
            </div>
			</div>
        </div>
        <div class="px-4 py-3 mb-4 v-card v-sheet theme--light">
            <h4 class="filter-header mb-0"><i class="las la-question-circle icon-text"></i> Booking Queries
            </h4>
            <div class="row" style="padding:15px">
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">E-Mail</div>
                                    <div class="v-list-item__subtitle">{{agnecyEmail}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 col-sm-12 col-xs-12">
                    <div role="list" class="v-list hotel-itinerary-details v-sheet theme--light v-list--disabled">
                        <div role="listbox" class="v-item-group theme--light v-list-item-group primary--text">
                            <div tabindex="0" role="listitem" aria-selected="false"
                                class="v-list-item v-list-item--link theme--light">
                                <div class="v-list-item__content">
                                    <div class="v-list-item__title">Phone</div>
                                    <div class="v-list-item__subtitle">{{agencyPhoneNo}}</div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

 
</div>

<div class="modal fade" id="myModal" role="dialog" >
    <div class="modal-dialog" >
    
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header">
         
          <h4 class="modal-title">Mail Sender</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body">
            <div class="col-md-12">
                <form name="sendingForm" id="sendingForm" ng-submit="sendMailId(sendingForm.$valid);" novalidate="novalidate">
                    <div class="row">
                        <div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
                        <div class="form-group">
                            <label class=""><span class="star">E-mail</span></label>
                            <div ng-class="{'has-error' :sendingForm.registerEmail1.$invalid &amp;&amp; userRegFormSubmit}">
                            <input type="email"  id="registerEmail1" name="registerEmail1" placeholder="Enter your email id..." class="form-control required" required="" ng-model="userCreationReqst.loginid"/>
                            </div>
                            </div>
                        </div>
                        <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6" style="margin-top: 7%;">
                            <div class="form-group">
                              
                            <button type="submit" ng-disabled="disableAccount" class="applyBtn btn btn-primary" name="" >Send </button>
                            </div>
                        </div>
                        </div>
                </form>
            </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        </div>
      </div>
      
    </div>
  </div>
  </body>

  


</html>

<script>
  $(document).ready(function () {  
    setTimeout(function(){
        var textt1 = document.getElementById('txtbindd').innerHTML;
      document.getElementById('txtbind22').innerHTML = htmlToText(textt1);
      document.getElementById('txtbindd').style.display = "none";
         }, 3000);      
  });

  function htmlToText(html) {
    var tmp = document.createElement('DIV');
    tmp.innerHTML = html;
    return tmp.textContent || tmp.innerText || '';
  }
</script>